import * as React from "react";
import { StyleProp, ViewStyle, TextStyle, ImageStyle, TextInputProps } from "react-native";
import { IRNBounceableProps } from "@freakycoder/react-native-bounceable";
declare type CustomStyleProp = StyleProp<ViewStyle> | Array<StyleProp<ViewStyle>>;
export interface ISource {
    source: string | {
        uri: string;
    };
}
interface IRNTextInputProps extends IRNBounceableProps, TextInputProps {
    inputRef?: any;
    ImageComponent?: any;
    iconComponent?: any;
    placeholder?: string;
    disableButton?: boolean;
    buttonStyle?: ViewStyle;
    textInputStyle?: TextStyle;
    iconImageStyle?: ImageStyle;
    style?: CustomStyleProp;
    onPress?: () => void;
}
declare const RNTextInput: React.FC<IRNTextInputProps>;
export default RNTextInput;
